[Resolved] Woocommerce Square and GP Premium are incompatible

Home Forums Support Woocommerce Square and GP Premium are incompatible

Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #1258621
    John Pittman

    When you install the Woocommerce Square plugin, GP Premium is broken. Specifically, when you try to operate Appearance->Customize, you get a white screen with the message “There has been a critical error on your website. Please check your site admin email inbox for instructions.”

    Of course, no email arrives, so there’s no explanation of what to do to fix the problem.

    Deactivating Woocommerce Square plugin fixes the problem. Activating it breaks things again.

    I’ve already tried removing the Woocommerce Square plugin and reinstalling it – same problem.

    #1258623
    John Pittman

    Also, when the Square plugin is activated, the website works just fine, including making credit card payments in the woocommerce store.

    The only thing that is broken is Appearance->Customize.

    #1258628
    John Pittman

    Also, if you activate the Woocommerce Square plugin and DEACTIVATE the GP PREMIUM WOOCOMMERCE plugin, the problem goes away.

    So apparently, it’s some sort of conflict between Woocommerce Square and GP Premium WOOCOMMERCE plugins.

    #1258629
    Leo
    Staff
    Customer Support

    Hi there,

    Can you try increasing the PHP limit first?
    https://docs.generatepress.com/article/increasing-php-memory-limit/

    Let me know πŸ™‚

    #1258705
    John Pittman

    bumping up php memory limit seems to have fixed the problem!

    Thanks!

    JPH–

    #1259808
    Leo
    Staff
    Customer Support
Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.